#ifndef _GMIDICOMMON_H
#define _GMIDICOMMON_H

#include <stdlib.h> // malloc
#include <wiring.h>
#include <avr/interrupt.h>

#define MIDI_BAUD_RATE 31250



// Supported status byte types
#define STATUS_NOTEON    0x90
#define STATUS_NOTEOFF   0x80
#define STATUS_CC        0xB0
#define STATUS_PRGCHANGE 0xC0
#define STATUS_PITCHBEND 0xE0
#define STATUS_SYSEX     0xF0


//Other stuff
#define SYSEX_END_BYTE 0xF7






#endif //_GMIDICOMMON_H
